<?php

class FlyerTech_Transactionale_Model_Integration_Sending_Mode
{
    public function toOptionArray()
    {
        return array(
            array(
                'value' => 'client',
                'label' => Mage::helper('transactionale')->__('Client side (Javascript)'),
            ),
            array(
                'value' => 'server',
                'label' => Mage::helper('transactionale')->__('Server side (PHP) - Will track all orders (i.e. from admin, marketplaces, etc.)'),
            ),
        );
    }

    public function toArray()
    {
        return array(
            'client' => Mage::helper('transactionale')->__('Client side (Javascript)'),
            'server' =>  Mage::helper('transactionale')->__('Server side (PHP) - Will track all orders (i.e. from admin, marketplaces, etc.)'),
        );
    }
}