<?php

$installer = $this;

$installer->startSetup();

$installer->addAttribute('customer', 'opt_in', array(
    'type' => 'int',
    'input' => 'boolean',
    'label' => 'Opt-in Privacy',
    'global' => 1,
    'visible' => 1,
    'required' => 0,
    'user_defined' => 1,
    'visible_on_front' => 1,
));

Mage::getSingleton('eav/config')
        ->getAttribute('customer', 'opt_in')
        ->setData('used_in_forms', array(
            'customer_account_create',
            'customer_account_edit',
            'adminhtml_customer',
            'checkout_register'
        ))
        ->setData("is_used_for_customer_segment", true)
        ->setData("is_system", 0)
        ->setData("is_user_defined", 1)
        ->setData("is_visible", 1)
        ->setData("sort_order", 100)
        ->save();

$installer->endSetup();
